<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_fitness_appointment_section',
	array(
		'title'         => __( 'Appointment Section', 'luzuk-premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_fitness_appointment_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_appointment_section_disable',
		array(
			'settings'      => 'lz_fitness_appointment_section_disable',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
); 
backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#ffffff');

lzCustomLable($wp_customize, 'lz_fitness_sec_appscesectionpadding', 'lz_fitness_appointment_section', 'Set Padding For Appointment Section(Complete Section Padding):');

$wp_customize->add_setting(
    'sec_appintmentsectionTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '9em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionTpadding',
    array(
        'settings'      => 'sec_appintmentsectionTpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '9em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionBpadding',
    array(
        'settings'      => 'sec_appintmentsectionBpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_appintmentsectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionLpadding',
    array(
        'settings'      => 'sec_appintmentsectionLpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionRpadding',
    array(
        'settings'      => 'sec_appintmentsectionRpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Right Padding', 'lz-fitness-premium' )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_centerimageappointmentbxclr', 'lz_fitness_appointment_section', 'Background Image Dispaly For Section Title & Sub Title Box:');

// to show & hide another button
$wp_customize->add_setting( 'appointmenttitlebgimage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'appointmenttitlebgimage_display', array( 'label' => 'Background Image Display', 'section' => 'lz_fitness_appointment_section', 'settings' => 'appointmenttitlebgimage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Background Image', 'hide' => 'Hide Background Image', ), ) ); 
// to show & hide another button


$wp_customize->add_setting('lz_fitness_premium_appointmentcenterimage_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_premium_appointmentcenterimage_section_lbl',
        array(
            'settings'      => 'lz_fitness_premium_appointmentcenterimage_section_lbl',
            'section'       => 'lz_fitness_appointment_section',
            'label'         => __( 'Note:', 'InsideTours' ),    
            'description'   => __( '*Required Background Image Of Size 200*180 pixels', 'InsideTours' ),
        )
    )
);
$wp_customize->add_setting(
        'lz_fitness_appointmentsttl_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_appointmentsttl_image_heading',
            array(
                'settings'      => 'lz_fitness_appointmentsttl_image_heading',
                'section'       => 'lz_fitness_appointment_section',
                'label'         => __( 'Set Title & Subtitle Box Background Image & Its Position From Top', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_appointmentsttl_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_appointmentsttl_image',
            array(
                'section' => 'lz_fitness_appointment_section',
                'settings' => 'lz_fitness_appointmentsttl_image',
                'description' => __('Recommended Image Size: 200X180px', 'lz-fitness-premium')
            )
        )
    );

$wp_customize->add_setting( 
    'sec_appointmenttitleimage',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '-40px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appointmenttitleimage',
    array(
        'settings'      => 'sec_appointmenttitleimage',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Set Title & Subtitle Box Background Image Position From Top', 'lz-fitness-premium' )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_appsecttlndsubttllbl', 'lz_fitness_appointment_section', 'Section Title & Subtitle:');


$wp_customize->add_setting(
	'lz_fitness_appointment_tag_subtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Contact with Us', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_tag_subtitle',
	array(
		'settings'      => 'lz_fitness_appointment_tag_subtitle',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Section Sub Title', 'luzuk-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formtaglineColor', 'lz_fitness_appointment_section', 'Section Sub Title color', '#68a0f9');

addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingttlcformbordercolColor', 'lz_fitness_appointment_section', 'Section Sub Title Border color', '#68a0f9');


$wp_customize->add_setting(
	'lz_fitness_appointment_tag_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Make an Appointment', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_tag_title',
	array(
		'settings'      => 'lz_fitness_appointment_tag_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'luzuk-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formTitleColor', 'lz_fitness_appointment_section', 'Section Title color', '#3b3634');


lzCustomLable($wp_customize, 'lz_fitness_sec_appscesectionfrmboxpadding', 'lz_fitness_appointment_section', 'Set Padding For Appointment Form Box:');

$wp_customize->add_setting(
    'sec_appintmentsectionformboxTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxTpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxTpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionformboxBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '10em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxBpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxBpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_appintmentsectionformboxLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxLpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxLpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionformboxRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxRpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxRpadding',
        'section'       => 'lz_fitness_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Right Padding', 'lz-fitness-premium' )
    )
);



$wp_customize->add_setting(
	'lz_fitness_appointment_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_form_lbl',
		array(
			'settings'      => 'lz_fitness_appointment_form_lbl',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Add form shortcode', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_form_shortcode',
	array(
		'settings'      => 'lz_fitness_appointment_form_shortcode',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);


addColorPalatOption($wp_customize, 'lz_fitness_appointment_formTextColor', 'lz_fitness_appointment_section', 'Form text & placeholder text color', '#615d5c'); 
addColorPalatOption($wp_customize, 'lz_fitness_appointment_labelColor', 'lz_fitness_appointment_section', 'Form label Text color', '#615c5c');
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formborderColor', 'lz_fitness_appointment_section', 'Form text fields background color', '#f2f1f0');

addColorPalatOption($wp_customize, 'lz_fitness_appointment_btntextColor', 'lz_fitness_appointment_section', 'Form button text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_appointment_btntexthoverColor', 'lz_fitness_appointment_section', 'Form button text hover color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_appointment_btnbgColor', 'lz_fitness_appointment_section', 'Form button background color', '#ff7c4e'); 
addColorPalatOption($wp_customize, 'lz_fitness_appointment_btnbghoverColor', 'lz_fitness_appointment_section', 'Form button background hover color', '#fbb34d');
